com.impinj.octane

## Enum QtSetConfigResultStatus

- java.lang.Object
- - java.lang.Enum<QtSetConfigResultStatus>
  - - com.impinj.octane.QtSetConfigResultStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QtSetConfigResultStatus>

      public enum QtSetConfigResultStatus
      extends java.lang.Enum<QtSetConfigResultStatus>

  An enumeration to describe the result of a QT Set Command operation
  See Also:
    `TagQtSetOp`, `TagQtSetOpResult`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IncorrectPasswordError` An incorrect QT password was used.
    `InsufficientPower` The tag did not meet the required RSSI threshold.
    `NonspecificReaderError` An unidentified reader error occurred.
    `NonspecificTagError` An unidentified tag error occurred.
    `NoResponseFromTag` No ACK response was received from the tag in response to the operation.
    `Success` The tag QT operation was successful.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static QtSetConfigResultStatus` | `valueOf(int qtSetConfigResultStatusValue)`
    `static QtSetConfigResultStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QtSetConfigResultStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Success

          public static final QtSetConfigResultStatus Success

      The tag QT operation was successful.

    - #### InsufficientPower

          public static final QtSetConfigResultStatus InsufficientPower

      The tag did not meet the required RSSI threshold.

    - #### NonspecificTagError

          public static final QtSetConfigResultStatus NonspecificTagError

      An unidentified tag error occurred.

    - #### NoResponseFromTag

          public static final QtSetConfigResultStatus NoResponseFromTag

      No ACK response was received from the tag in response to the operation.

    - #### NonspecificReaderError

          public static final QtSetConfigResultStatus NonspecificReaderError

      An unidentified reader error occurred.

    - #### IncorrectPasswordError

          public static final QtSetConfigResultStatus IncorrectPasswordError

      An incorrect QT password was used.

  - ### Method Detail

    - #### values

          public static QtSetConfigResultStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QtSetConfigResultStatus c : QtSetConfigResultStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QtSetConfigResultStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static QtSetConfigResultStatus valueOf(int qtSetConfigResultStatusValue)

      Parameters:
        `qtSetConfigResultStatusValue` - integer value
      Returns:
        the enumeration object associated with this integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value associated with this enumeration